﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SimpleSample
{
    public class ViewModel : BindableObject
    {
        public ObservableCollection<Model> Data1 { get; set; }
        public ViewModel()
        {
            Data1 = new ObservableCollection<Model>();
            Data1.Add(new Model(new DateTime(2016, 1, 1), 3));
            Data1.Add(new Model(new DateTime(2016, 1, 2), 6));
            Data1.Add(new Model(new DateTime(2016, 1, 3), 5));
            Data1.Add(new Model(new DateTime(2016, 1, 4), 2));
            Data1.Add(new Model(new DateTime(2016, 1, 5), 4));
        }
    }

    public class Model
    {
        public DateTime XValue { get; set; }

        public double YValue { get; set; }

        public Model(DateTime xValue, double yValue)
        {
            XValue = xValue;
            YValue = yValue;
        }
    }
}
